/*
    Wn: A Server for the HTTP
    File: wn/err.h
    Version 1.16.0
    
    Copyright (C) 1995, 1996  <by John Franks>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#define ERRMSG1		"Can't open file"
#define ERRMSG2		"File does not exist or is not accessible"
#define ERRMSG3		"UID/GID permission denied"
#define ERRMSG4		"Execute permission denied"
#define ERRMSG5		"Missing value in cache, field:filename is"
#define ERRMSG6		"Bad field in cache, field is "
#define ERRMSG7		"Bad cache uid or gid"
#define ERRMSG8		"Bad cachefile owner"
#define ERRMSG9		"Can't open index.cache file"
#define ERRMSG10	"Missing 'value'  in dir cache, field is "
#define ERRMSG11	"Bad field=value pair in dir cache, field is "
#define ERRMSG12	"Can't stat file"
#define ERRMSG13	"Cache file is not a regular file"
#define ERRMSG14	"Can't exec authorization module"
#define ERRMSG15	"Authorization required and not successful"
#define ERRMSG16	"Can't exec file"
#define ERRMSG17	"Can't filter file"
#define ERRMSG18	"Tried filter"
#define ERRMSG19	"Accept header overflow"
#define ERRMSG20	"SECURITY Found bad character (%X hex) in path"
#define ERRMSG21	"SECURITY Found ../ in path"
#define ERRMSG22	"Could not get socket"
#define ERRMSG23	"Could not set linger option [setsockopt]"
#define ERRMSG24	"Could not set SO_REUSEADDR [setsockopt]"
#define ERRMSG25	"Could not bind to port"
#define ERRMSG26	"Unable to set gid"
#define ERRMSG27	"Unable to set uid"
#define ERRMSG28	"Accept failed"
#define ERRMSG29	"Unable to fork new process, abandoning connection"
#define ERRMSG30	"Setsid failed"
#define ERRMSG31	"Setpgrp failed"
#define ERRMSG32	"Directory not searchable"
#define ERRMSG33	"Can't exec isearch module"
#define ERRMSG34	"Not a text file"
#define ERRMSG35	"Request for insert with no file"
#define ERRMSG36	"Couldn't exec included command"
#define ERRMSG37	"Bad file name"
#define ERRMSG38	"Bad markline parameter"
#define ERRMSG39	"Can't exec file module"
#define ERRMSG40	"Can't exec cache module"
#define ERRMSG41	"Can't open index.cache file [csearch]"
#define ERRMSG42	"Authentication module failed"
#define ERRMSG43	"Cache module failed"
#define ERRMSG44	"Index search module failed"
#define ERRMSG45	"Can't translate module name"
#define ERRMSG46	"Can't open search wrapper"
#define ERRMSG47	"No markers in binary files"
#define ERRMSG48	"Getpeername failed"
#define ERRMSG49	"Can't chdir for cgi exec to"
#define ERRMSG50	"Can't read from digest authorization module"
#define ERRMSG51	"File not searchable"
#define ERRMSG52	"Filtered file module failed"
#define ERRMSG53	"Can't open post tempfile"
#define ERRMSG54	"Line range incompatible with binary file"
#define ERRMSG55	"Can't exec CGI program"
#define ERRMSG56	"CGI headers too big"
#define ERRMSG58	"Bad search parameter"
#define ERRMSG59	"Bad syntax in URI"
#define ERRMSG60	"Timed out"
#define ERRMSG61	"Bad authorization module output"
#define ERRMSG62	"Access file line overflow"
#define ERRMSG63	"Cache file line overflow"
#define ERRMSG64	"Malloc failed, out of memory"
#define ERRMSG65	"Found URL encoded newline or return"
#define ERRMSG66	"Incomplete header read"
#define ERRMSG67	"Bad URL -- forbidden or non-existent user directory"
#define ERRMSG68	"Illegal URL -- forbidden root directory"
#define ERRMSG69	"Can't open root directory table"
#define ERRMSG70	"Overflow of HTTP headerline buffer"
#define ERRMSG71	"Root directory table line overflow"
#define ERRMSG72	"Bad syntax for line in root directory table"
#define ERRMSG73	"Getsockname failed"
#define ERRMSG74	"POST data too large, aborting"
#define ERRMSG75	"Write error"
#define ERRMSG76	"Read error"
#define ERRMSG77	"RFC931 lookup socket error"
#define ERRMSG78	"RFC931 lookup fdopen error"
#define ERRMSG79	"Cookie request header overflow - cookie too large"
#define ERRMSG80	"Bad date format"
#define ERRMSG81	"Search term regular expression error"
#define ERRMSG82	"Request for unindexed file not world readable"
#define ERRMSG83	"Can't open nomatchsub file"
#define ERRMSG84	"Two includes in searchwrapper"
#define ERRMSG85	"Unknown parameter field"
#define ERRMSG86        "Can't translate auth error file"
#define ERRMSG87	"Can't open access file"
#define ERRMSG88	"Default document can't be a directory"
#define ERRMSG89	"Nomatchsub requires there be a Searchwrapper"
#define ERRMSG90	"Not allowed to exec authorization module"
#define ERRMSG91	"Gethostbyname can't resolve %s; "
#define ERRMSG92	"Accepting connections for any IP address"
#define ERRMSG93	"Bad range syntax in URL"
#define ERRMSG94	"No Ranges for parsed, dynamic, or filtered files"
#define ERRMSG95	"Bad range syntax in header"
#define ERRMSG96	"SECURITY Found bad character (%X hex) in CGI args"
#define ERRMSG97	"Unable to open PID file"
#define ERRMSG98	"Could not set SO_KEEPALIVE [setsockopt]"
#define ERRMSG99	"Could not open virtual host file"
#define ERRMSG100	"Too many virtual hosts"
#define ERRMSG101	"Bad virtual host file line"
#define ERRMSG102	"CGI-bin file error"
#define ERRMSG103	"Unsupported range type"
#define ERRMSG104	"Incomplete header from CGI script"
#define ERRMSG105	"Could not set TCP_NODELAY [setsockopt]"
#define ERRMSG106	"Can't chdir for exec to"

#define LOGMSG1	"Sent Authorization request"
#define LOGMSG2 "Sent cache query"
#define LOGMSG3 "Successful cache search"
#define LOGMSG4 "Unsuccessful search"
#define LOGMSG5 "Sent 304 - not modified"
#define LOGMSG6 "Sent HTTP header"
#define LOGMSG7	"Sent CGI output [nph]"
#define LOGMSG8	"Sent CGI output"
#define LOGMSG9	"Sent redirection"
#define LOGMSG10	"Sent grep search"
#define LOGMSG11	"Sent index search"
#define LOGMSG13	"Sent file"
#define LOGMSG14	"Sent HTTP/1.0 header and info"
#define LOGMSG15	"Sent imagemap referral"
#define LOGMSG16	"Sent 204 no response"
#define LOGMSG17	"Sent nomatchsub"
#define LOGMSG19	"Client broke connection"

#define OUTMSG1	"Directory Text Search"
#define OUTMSG2 "Unsuccessful search"
#define OUTMSG3	"File Regular Expression Search"

